org.jbpm.services.task.impl

## Class TaskResolverFactory

- java.lang.Object
- - org.mvel2.integration.impl.ImmutableDefaultFactory
  - - org.jbpm.services.task.impl.TaskResolverFactory

- All Implemented Interfaces:
    Serializable, org.mvel2.integration.VariableResolverFactory

      public class TaskResolverFactory
      extends org.mvel2.integration.impl.ImmutableDefaultFactory

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskResolverFactory(org.kie.api.task.model.Task task)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.mvel2.integration.VariableResolver` | `getVariableResolver(String name)`
    `boolean` | `isResolveable(String name)`

    - ### Methods inherited from class org.mvel2.integration.impl.ImmutableDefaultFactory

      `createIndexedVariable, createIndexedVariable, createVariable, createVariable, getIndexedVariableResolver, getKnownVariables, getNextFactory, isIndexedFactory, isTarget, setIndexedVariableResolver, setNextFactory, setTiltFlag, tiltFlag, variableIndexOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskResolverFactory

          public TaskResolverFactory(org.kie.api.task.model.Task task)

  - ### Method Detail

    - #### isResolveable

          public boolean isResolveable(String name)

      Specified by:
        `isResolveable` in interface `org.mvel2.integration.VariableResolverFactory`
      Overrides:
        `isResolveable` in class `org.mvel2.integration.impl.ImmutableDefaultFactory`

    - #### getVariableResolver

          public org.mvel2.integration.VariableResolver getVariableResolver(String name)

      Specified by:
        `getVariableResolver` in interface `org.mvel2.integration.VariableResolverFactory`
      Overrides:
        `getVariableResolver` in class `org.mvel2.integration.impl.ImmutableDefaultFactory`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.